Home | All Classes | Grouped Classes | Index | Search

# Class CL_Colorf

float pointing based Color description class. More...

Derived from: none
Derived by: none
Group: Display (Display 2D)

#include <ClanLib/display.h>

Attributes:

red |
green |
blue |
alpha |

Operations:

CL_Colorf | Constructs a black and fully transparent color.
normalize | Normalize the color by ensuring that all color values lie inbetween (0.0, 1.0)
operator == | Color == Color operator (deep compare)
operator != | Color != Color operator (deep compare)

Detailed description:

!group=Display/Display 2D! !header=display.h!
Questions or comments, write to the ClanLib mailing list.